Bug 204810 - latest compiz locks entire machine
latest compiz locks entire machine
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
: Reopened
: 207905 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-31 13:52 EDT by Thomas J. Baker
Modified: 2007-11-30 17:11 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-02 13:55:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of compiz weirdness (842.22 KB, image/png)
2006-09-28 15:13 EDT, Joe Ammond
no flags Details
compiz working with XaaNoOffscreenPixmaps - but weird effects (1.07 MB, image/png)
2006-10-02 14:17 EDT, Ralph Angenendt
no flags Details

  None (edit)
Description Thomas J. Baker 2006-08-31 13:52:10 EDT
Updating to todays (8/31/2006) rawhide causes my entire laptop to hang when
compiz is started. This may not be compiz itself but some lower level library
that causes it. I've got an ATI R250 graphics card.

Relevant rpms updated today:

compiz-0.0.13-0.21.20060817git.fc6
mesa-libGLU-devel-6.5.1-0.rc2.fc6
xorg-x11-server-Xorg-1.1.1-33.fc6
mesa-libGLU-6.5.1-0.rc2.fc6
mesa-libGL-6.5.1-0.rc2.fc6

This happened twice before I used the root account to turn of compiz on my account.
Comment 1 Thomas J. Baker 2006-09-01 19:04:41 EDT
September 1st rawhide fixed things. compiz works again.
Comment 2 Thomas J. Baker 2006-09-05 19:22:37 EDT
After todays large update, this problem is back. Right after the update, I
rebooted, logged in, and before anything appeared on the desktop, the whole
system hung. I power cycled, reboooted, logged in failsafe, turned off
desktop-effects, logged out, logged back in, turned back on desktop-effects and
everything was fine. If it's like last time, everything will be fine until some
future update.
Comment 3 David Cantrell 2006-09-06 10:39:29 EDT
(In reply to comment #2)
> After todays large update, this problem is back. Right after the update, I
> rebooted, logged in, and before anything appeared on the desktop, the whole
> system hung. I power cycled, reboooted, logged in failsafe, turned off
> desktop-effects, logged out, logged back in, turned back on desktop-effects and
> everything was fine. If it's like last time, everything will be fine until some
> future update.

How do you disable desktop-effects in failsafe login?  I'm having this exact
same problem on my laptop and I haven't had time to search BZ until now.  My
backup plan for when the default Fedora desktop no workie is to fire up XFce and
grumble until GNOME works again.

I update my system daily, so I think I have the latest version of compiz, I just
need to do the disable/enable trick to get it working again (if that worked for
you).
Comment 4 Thomas J. Baker 2006-09-06 11:34:38 EDT
Log in failsafe and run 'desktop-effects' from the command line. Log out and log
back in with the normal gnome session and then, at least for me, you can
re-enable desktop-effects and everything works.
Comment 5 Thomas J. Baker 2006-09-07 13:26:15 EDT
I just experienced the same problem again after todays updates. Everything went
just like comment #2. I even tried twice (login, lock, power cycle, login lock)
before using the failsafe recovery technique.

The only updates today were these:

continuity> rpm -qa --last | more
krb5-workstation-1.5-7                        Thu 07 Sep 2006 12:54:16 PM EDT
desktop-backgrounds-basic-2.0-37              Thu 07 Sep 2006 12:54:15 PM EDT
kernel-headers-2.6.17-1.2630.fc6              Thu 07 Sep 2006 12:54:13 PM EDT
kernel-devel-2.6.17-1.2630.fc6                Thu 07 Sep 2006 12:54:03 PM EDT
policycoreutils-1.30.28-4                     Thu 07 Sep 2006 12:53:51 PM EDT
kernel-2.6.17-1.2630.fc6                      Thu 07 Sep 2006 12:53:32 PM EDT
fedora-release-notes-5.92-2                   Thu 07 Sep 2006 12:53:26 PM EDT
redhat-rpm-config-8.0.45-3                    Thu 07 Sep 2006 12:53:24 PM EDT
yelp-2.16.0-2.fc6                             Thu 07 Sep 2006 12:53:02 PM EDT
fedora-logos-1.1.50-1.fc6                     Thu 07 Sep 2006 12:52:56 PM EDT
krb5-devel-1.5-7                              Thu 07 Sep 2006 12:52:52 PM EDT
tomboy-0.4.1-1.fc6                            Thu 07 Sep 2006 12:52:39 PM EDT
rhpl-0.188-3                                  Thu 07 Sep 2006 12:52:28 PM EDT
mkinitrd-5.1.11-1                             Thu 07 Sep 2006 12:52:26 PM EDT
krb5-libs-1.5-7                               Thu 07 Sep 2006 12:52:19 PM EDT

Maybe it's related to a new kernel?
Comment 6 Thomas J. Baker 2006-09-08 09:43:26 EDT
It's gotton worse for me. Now everytime I boot, I have to do the disable
desktop-effects from failsafe trick or my laptop hangs. Verfied this morning
before any updates and again after today's updates.
Comment 7 Tim Vismor 2006-09-10 10:55:24 EDT
I am seeing similar behavior on a Thinkpad T43 w/Chipset ATI Radeon Mobility
X300 (M22) 5460 (PCIE) using XAA acceleration. The machine is fully up to date
with rawhide as of 9/10/06. The machine hangs after rebooting and attempting to
log into Gnome via gdm -- unless you first log into a failsafe terminal and
disable/re-enable compiz via desktop effects.
Comment 8 Matthias Saou 2006-09-13 11:02:44 EDT
Mostly a "me too" here. It happens on my laptop which has a Mobility 9600, but
not on my desktop which has a 9200 nor on my other laptop which has an Intel i9xx.
Comment 9 Thomas J. Baker 2006-09-15 10:24:54 EDT
After a clean install of fc6t3 this morning and then installing
compiz-0.0.13-0.23.20060817git.fc6 from development, I was able to log in with
compiz enabled after a reboot.
Comment 10 Thomas J. Baker 2006-09-18 08:54:01 EDT
After a couple of reboots this weekend, I still have the problem about half the
time. After the clean install on Friday, I didn't do any updates until Sunday
night. I have the lockup before and after Sunday night updates about half the
time I reboot. So far, there doesn't seem to be any correlation to anything else
(like on power/on battery or no network/wired network/wireless network or cold
boot/reboot.)
Comment 11 Thomas J. Baker 2006-09-21 09:15:42 EDT
It's now pretty consistent that if I boot with the power adapter plugged in and
log in with compiz enabled, the system will hang. Boot while on battery and
everything works as expected. Seems like a kernel problem to me. 

Matthais, can you duplicate it?
Comment 12 Matthias Saou 2006-09-21 09:26:31 EDT
Sorry, I've just switched my laptop for a workstation (with an NVidia card, so
no compiz eye candy for me anymore) :-(
Comment 13 Thomas J. Baker 2006-09-21 09:34:57 EDT
Well I've just had it lock three times on battery so it's not as simple as I had
hoped. Once while logging out and twice while logging in. I'm trying to debug a
cpu scaling bug and with cpufreq.debug=7 added to the kernel command line, I'm
not having any luck with compiz. 
Comment 14 Thomas J. Baker 2006-09-21 10:53:27 EDT
I was able to get these errors from dmesg:

[drm:radeon_cp_start] *ERROR* radeon_cp_start called without lock held
[drm:radeon_cp_idle] *ERROR* radeon_cp_idle called without lock held
[drm:radeon_cp_reset] *ERROR* radeon_cp_reset called without lock held
[drm:radeon_cp_start] *ERROR* radeon_cp_start called without lock held
[drm:radeon_cp_idle] *ERROR* radeon_cp_idle called without lock held
[drm:radeon_cp_reset] *ERROR* radeon_cp_reset called without lock held
[drm:radeon_cp_start] *ERROR* radeon_cp_start called without lock held
[drm:radeon_cp_idle] *ERROR* radeon_cp_idle called without lock held
[drm:radeon_cp_reset] *ERROR* radeon_cp_reset called without lock held
[drm:radeon_cp_start] *ERROR* radeon_cp_start called without lock held
[drm:radeon_cp_idle] *ERROR* radeon_cp_idle called without lock held
[drm:radeon_cp_reset] *ERROR* radeon_cp_reset called without lock held
[drm:radeon_cp_start] *ERROR* radeon_cp_start called without lock held

Then the whole machine locks up. I'm not sure why it's suddenly gotton so much
worse but it may be related to yesterdays updates.
Comment 15 Joe Ammond 2006-09-28 15:13:16 EDT
Created attachment 137337 [details]
Screenshot of compiz weirdness

Screenshot of compiz flaking out on a Dell D600, ATI Radeon Mobility M9.
Comment 16 Joe Ammond 2006-09-28 15:15:37 EDT
I'll add a 'me too' to this, with some additional information.

Hardware is a Dell D600, Chipset: "ATI Radeon Mobility 9000 (M9) Lf (AGP)"
(ChipID = 0x4c66). 

'yum update' as of September 28th.

If I run desktop-effects from inside a GNOME session, metacity exits and the
machine locks hard (alt-sysreq doesn't work at all).

If I log in with a 'failsafe' session, start gconfd manually, then start
gnome-window-decorator and 'compiz --replace gconf' from the failsafe xterm,
compiz starts. However, the right half of the screen has issues that I can only
describe via a screenshot. All effects (cube, wobble, etc) appear to work from
failsafe.

Comment 17 Kristian Høgsberg 2006-10-02 13:31:55 EDT
I can't consistently reproduce this crash, though I've gotten it to lock up a
few times.  Could you guys try adding

  Option "XaaNoOffscreenPixmaps"

to the "Device" section of your xorg.conf files?

Thanks,
Kristian
Comment 18 Thomas J. Baker 2006-10-02 13:50:20 EDT
Unfortunately for debugging, I no longer have that laptop at my disposal. Sorry.
Looks like no one else who still has an affected machine is on the CC list either.
Comment 19 Ralph Angenendt 2006-10-02 14:14:42 EDT
This seems to work (XaaNoOffscreenPixmaps), but leads to some graphical errors
on the Desktop (see attached bling.png file). The machine does not lockup
anymore when desktop-effects are enabled.

Machine is an IBM T40 with an ATI M9 card - the same as the Dells in this bug.

compiz-0.0.13-0.31.20060817git.fc6
xorg-x11-drv-ati-6.6.2-3.fc6
xorg-x11-server-Xorg-1.1.1-43.fc6
mesa-libGLU-6.5.1-7.fc6
mesa-libGL-6.5.1-7.fc6

Bug 207905 is a duplicate of this bug. You can close that, then
Comment 20 Ralph Angenendt 2006-10-02 14:17:53 EDT
Created attachment 137581 [details]
compiz working with XaaNoOffscreenPixmaps - but weird effects

This is a screenshot with the proposed Setting XaaNoOffscreenPixmaps in the
Devices Section.
Comment 21 Ralph Angenendt 2006-10-02 14:34:19 EDT
Just forgot: compiz works great, if I run X with 800x600 (had some problems with
X today coming up in that resolution instead of 1400x1050 and just had to try it).

The ATI has 32MB 
Comment 22 Kristian Høgsberg 2006-10-02 15:40:36 EDT
*** Bug 207905 has been marked as a duplicate of this bug. ***
Comment 23 Kristian Høgsberg 2006-10-02 15:43:28 EDT
(In reply to comment #19)
> This seems to work (XaaNoOffscreenPixmaps), but leads to some graphical errors
> on the Desktop (see attached bling.png file). The machine does not lockup
> anymore when desktop-effects are enabled.

OK, thanks, that's interesting.  The artifacts you're seeing now is bug #203282,
there's a workaround in that bug.
Comment 24 Ralph Angenendt 2006-10-02 15:50:24 EDT
Nope, that workaround doesn't work here. I already have the /etc/drirc in place:

[ralph@logout ~]$ ls -l /etc/drirc 
-rw-r--r-- 1 root root 174 Sep 24 16:04 /etc/drirc
[ralph@logout ~]$ cat /etc/drirc 
<driconf>
  <device screen="0" driver="radeon">
    <application name="all">
      <option name="allow_large_textures" value="2" />
    </application>
  </device>
</driconf>
Comment 25 Kristian Høgsberg 2006-10-02 19:03:00 EDT
This bug should be fixed and the new build will be in rawhide soon.  In the
meantime, you can get it here:

  http://people.redhat.com/krh/xorg-x11-server-Xorg-1.1.1-44.fc6.i386.rpm

Please give it a try and let me know how it goes.
Comment 26 Kristian Høgsberg 2006-10-02 19:04:10 EDT
BTW, when testing the build in comment #25, make sure to remove the workaround
from comment #17.
Comment 27 Ralph Angenendt 2006-10-02 19:47:55 EDT
The package from comment #25 solves the lockup problem but I still see the
graphics problem from comment #20 - the /etc/drirc doesn't solve that.

But it's a great step forward on this machine :)
Comment 28 Ralph Angenendt 2006-10-24 09:47:12 EDT
Okay, if I substitute driver="radeon" with driver="r200" in the drirc from
comment #24, everything works as expected. 

From my view the bug can be closed.
Comment 29 Matěj Cepl 2007-10-02 11:40:07 EDT
Following comment 28, I would close this bug. Reporter, do you agree? If you
won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA.
Thank you.
Comment 30 Thomas J. Baker 2007-10-02 13:10:05 EDT
I am the original reporter but as I said in comment #18, I no longer have the
laptop to test. Some one with relevant hardware would be better suited to comment.
Comment 31 Matěj Cepl 2007-10-02 13:55:30 EDT
Yes, you are right. Closing because of overwhelming agreement of
non-reproducability ;-).

Note You need to log in before you can comment on or make changes to this bug.